# Scraping Tools

The Network We de(Served) is a research project that encompasses a collection of hybrid publications, printed and online. The central point of research departed from the process of self-hosting as a community, where we expanded our understandings of networks, autonomy, online publishing and social infrastructures. These understandings are twofold, both on networking's technics and social relevancies.

My role in the project included researching, designing and programming one of the online and printed publications, where I prototyped scraping tools to display the fragments of our intermittent network, reflecting on the ephemeral aspect of the web.

These small scripts are written in Python and are based on web scraping methods. Web scraping is the process of gathering data, in this case, through automated actions. During this project, I was using these tools to crawl information from our network: images, the status of links, names of pages. By exploring and using this content I was hoping to overview the success or failure of our pages. The fragility of the network, but also the ability to grow and to discover new connections, really relates to our learning process throughout this research.
